Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 89002 - segfault in textview with ctrl-end if cursors invisible
Summary: segfault in textview with ctrl-end if cursors invisible
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gtk2
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-16 12:28 UTC by Harald Hoyer
Modified: 2007-04-18 16:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-10 22:32:27 UTC


Attachments (Terms of Use)

Description Harald Hoyer 2003-04-16 12:28:43 UTC
textbox = gtk.TextView()
        textbox.set_property("cursor_visible", gtk.FALSE)

now click in the TextView and press ctrl-end -> segfault

0x4022550f in gtk_adjustment_set_value () from /usr/lib/libgtk-x11-2.0.so.0

Comment 1 Owen Taylor 2003-06-10 22:32:27 UTC
Fixed in GTK+-2.2.2, same as upstream bug:

http://bugzilla.gnome.org/show_bug.cgi?id=107889


Note You need to log in before you can comment on or make changes to this bug.